commit:     64349c310c8cb2df13678a22d2c3e3c83895b122
Author:     Oz N Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Sun May 30 09:22:39 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun  1 00:27:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64349c31

dev-python/pipenv: add 2021.5.29

Signed-off-by: Oz N Tiram <oz.tiram <AT> gmail.com>
Bug: https://bugs.gentoo.org/792738
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/pipenv/Manifest                |  1 +
 dev-python/pipenv/pipenv-2021.5.29.ebuild | 52 +++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
index f9c16b0765f..4e774a023fa 100644
--- a/dev-python/pipenv/Manifest
+++ b/dev-python/pipenv/Manifest
@@ -1,2 +1,3 @@
 DIST pipenv-2020.11.15.tar.gz 11603983 BLAKE2B 
552c35c942f9ece0f52419b6090b87c7dce0c49dd9dc12f8c5b3eb311058fc770ec9e2b141e960d357064c66c6de7cd0892d2dd19868e5cdaee0f302f98fb0ff
 SHA512 
d312059b3fefc97d4cd79bf2b75d6bde1d117d92c0a299c30181a60ebea662a6c3dff0ca7b92c610dd8eb0c873509dd23c9a891761d0d47d0bba2cab738c830d
 DIST pipenv-2020.11.4.tar.gz 11574683 BLAKE2B 
cb2ac4ba6b07377a3a5540b23756afac38a02691e495ba93031815417d001701b919221fd83d0f9e6b94d4f28c1fa754c2c31e289830305a8c8ac75d847209c4
 SHA512 
c9015eb9a449fa517f31619d1fec5d99882da915a50e189ba6ab9c7c147862f9734f0df200330d666380afe5d2cf52d18015c539635ca6459042ab50d3ccd059
+DIST pipenv-2021.5.29.tar.gz 11607230 BLAKE2B 
8eef8e79fbdfaf85a949437d06d9f8b48f7eaa6e4769f6d4ed90b01c0ebf70c282fc90581cce5ffcab0aeb6bc9ad770a8b4425f355a06e0fc4cd56fb221386e2
 SHA512 
4fa018c13d4babe856bf5671cf5d18a95f4af4b6d4fc64c4919825fe04004ed3d8979ca335b851c6e24dad081475f6fb5b925eeff58c6fb5cffc450b967ed1cd

diff --git a/dev-python/pipenv/pipenv-2021.5.29.ebuild 
b/dev-python/pipenv/pipenv-2021.5.29.ebuild
new file mode 100644
index 00000000000..9028b19d5c2
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2021.5.29.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/";
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/pip[${PYTHON_USEDEP}]
+       >=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
+       dev-python/virtualenv-clone[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+       )
+"
+
+src_prepare() {
+       # remove vendored version of PyYAML that is backported to Python2
+       # this should be removed when upstream removes support for Python2
+       rm -vR "${S}/${PN}/patched/yaml2/" || die
+       # disable running of unittests in parallel with xdist
+       sed -i 's/addopts = -ra -n auto/;&/g' setup.cfg || die
+       sed -i 's/plugins = xdist/;&/g' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pytest -vvv -x -m "not cli and not needs_internet" tests/unit/ || die
+}

Reply via email to